Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.update
Class DownloadStatus

    java.lang.Object
      org.jivesoftware.openfire.update.DownloadStatus

    public class DownloadStatus

extends Object

Simple data model to handle success/failure of downloads using AJAX.

Constructor Summary
`DownloadStatus()`

Method Summary
`int` | `getHashCode()`
`String` | `getUrl()`
`boolean` | `isSuccessfull()`
`void` | `setHashCode(int hashCode)`
`void` | `setSuccessfull(boolean successfull)`
`void` | `setUrl(String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DownloadStatus

    public DownloadStatus()

Method Detail

### getHashCode

    public int getHashCode()

### setHashCode

    public void setHashCode(int hashCode)

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### isSuccessfull

    public boolean isSuccessfull()

### setSuccessfull

    public void setSuccessfull(boolean successfull)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.